# Class DeviceInfo#getiBeaconInfo

DeviceInfo

- Defined in: deviceInfo.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| DeviceInfo#getiBeaconInfo(successCallback, errorCallback) Gets iBeacon Info

## Class Detail

DeviceInfo#getiBeaconInfo(successCallback, errorCallback)
Gets iBeacon Info

    // Javascript code
    function getiBeaconInfo () {
     function successCb(cbObject) {
        console.log("cbObject : " + JSON.stringify(cbObject));
        console.log("enabled : " + cbObject.enabled);
        console.log("uuid : " + cbObject.uuid);
        console.log("major : " + cbObject.major);
        console.log("minor : " + cbObject.minor);
        // Do something
     }
     function failureCb(cbObject) {
        var errorCode = cbObject.errorCode;
        var errorText = cbObject.errorText;
        console.log ("Error Code [" + errorCode + "]: " + errorText);
     }
     var deviceinfo = new DeviceInfo();
     deviceinfo.getiBeaconInfo(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object} options

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | iBeacon is enabled true : enabled, false : disabled
  uuid | String | UUID of iBeacon, 32 hexadecimal digits. (when 'enabled' is true, it is required)
  major | Number | major (0 ~ 65535) (when 'enabled' is true, it is required)
  minor | Number | minor (0 ~ 65535) (when 'enabled' is true, it is required)

See:
  DeviceInfo.setiBeaconInfo()